当前位置:首页 > 开发 > 系统架构 > Apache > 正文

How to fix the problem of installing apache2 in ubuntu

发表于: 2010-04-19   作者:crabdave   来源:转载   浏览:
摘要: How to fix the problem of installing apache2 in ubuntu when I was install apache2 , I found this:   您希望继续执行吗?[Y/n]y 选中了曾被取消选择的软件包 apache2-mpm-worker。 (正在读取数据库 ... 系统当前总共安装有 142697 个文件和目录

How to fix the problem of installing apache2 in ubuntu


when I was install apache2 , I found this:

 

您希望继续执行吗?[Y/n]y
选中了曾被取消选择的软件包 apache2-mpm-worker。
(正在读取数据库 ... 系统当前总共安装有 142697 个文件和目录。)
正在解压缩 apache2-mpm-worker (从 .../apache2-mpm-worker_2.2.12-1ubuntu2.2_all.deb) ...
选中了曾被取消选择的软件包 apache2。
正在解压缩 apache2 (从 .../apache2_2.2.12-1ubuntu2.2_all.deb) ...
正在设置 apache2-mpm-worker (2.2.12-1ubuntu2.2) ...
ERROR: Module cgid does not exist!
ERROR: Module cgid does not exist!
It looks like you've deleted /etc/apache2/mods-available/cgid.load, so mod_cgid cannot be enabled.  To fix this, please purge and reinstall apache2.2-common.
.: 44: Can't open /etc/apache2/envvars
invoke-rc.d: initscript apache2, action "start" failed.

 

fix it up:

sudo apt-get --purge remove apache2.2-common

sudo apt-get install apache2.2-common

sudo apt-get install apache2

 

Done!

How to fix the problem of installing apache2 in ubuntu

  • 0

    开心

    开心

  • 0

    板砖

    板砖

  • 0

    感动

    感动

  • 0

    有用

    有用

  • 0

    疑问

    疑问

  • 0

    难过

    难过

  • 0

    无聊

    无聊

  • 0

    震惊

    震惊

版权所有 IT知识库 CopyRight © 2009-2015 IT知识库 IT610.com , All Rights Reserved. 京ICP备09083238号